@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('slider::slider.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('slider::slider.names') !!}</small>
@stop

@section('title')
{!! trans('slider::slider.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('slider::slider.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='slider-slider-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="slider-slider-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('slider::slider.label.name')!!}</th>
                    <th>{!! trans('slider::slider.label.heading')!!}</th>
                    <th>{!! trans('slider::slider.label.subheading')!!}</th>
                    <th>{!! trans('slider::slider.label.images')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#slider-slider-entry', '{!!URL::to('admin/slider/slider/0')!!}');
    oTable = $('#slider-slider-list').dataTable( {
        "ajax": '{!! URL::to('/admin/slider/slider') !!}',
        "columns": [
            {data :'name'},
                    {data :'heading'},
                    {data :'subheading'},
                        {data :'images'},
        ],
        "pageLength": 50
    });

    $('#slider-slider-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#slider-slider-list').DataTable().row( this ).data();

        $('#slider-slider-entry').load('{!!URL::to('admin/slider/slider')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

